flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject AW: AW: [FlexMojos] flexmojos-compatible-model-validator ?
Date Wed, 20 May 2015 17:50:53 GMT
Hi Frederic,

Well I just can't find the links that confirm this. But one of the coolest Maven 3.3.1 enhancements
were pluggable build extensions:
http://blog.soebes.de/blog/2015/03/17/apache-maven-3-dot-3-1-features/

I also got the flex-sdk-converter to work there but currently there seem to be classloading
issues.

So I would suggest you give it a try.

Chris


-----Ursprüngliche Nachricht-----
Von: Frédéric THOMAS [mailto:webdoublefx@hotmail.com] 
Gesendet: Mittwoch, 20. Mai 2015 17:18
An: dev@flex.apache.org
Betreff: RE: AW: [FlexMojos] flexmojos-compatible-model-validator ?

> But with Maven 3.3.x shouldn't your validator work without installing it? 
> Could you please check, if your extension works without installing with maven 3.3?

I didn't get that Chris and I don't know the specificities of the 3.3.1, do you mean: If I
include the code of my extension in a plugin, it should just work ?

thanks,
Frédéric THOMAS

> From: christofer.dutz@c-ware.de
> To: dev@flex.apache.org
> Subject: AW: [FlexMojos] flexmojos-compatible-model-validator ?
> Date: Wed, 20 May 2015 14:37:49 +0000
> 
> Well I have to admit, that I'm not a big fan of Auto-Installation ;-)
> 
> Probably thats because of me working for large enterprizes a lot and they certainly don't
like stuff that changes the CI servers installation.
> 
> But with Maven 3.3.x shouldn't your validator work without installing it? I am hoping
a great deal that this. There are still some classloading issues preventing me from using
the sdk-converter as an in-pom-extension without installing it, but I'm hoping to invest a
few hours to sort that out ...
> 
> Could you please check, if your extension works without installing with maven 3.3? If
it does I think it would be a great addition to FlexMojos.
> 
> Chris
> 
> ________________________________________
> Von: Frédéric THOMAS <webdoublefx@hotmail.com>
> Gesendet: Mittwoch, 20. Mai 2015 16:29
> An: dev@flex.apache.org
> Betreff: [FlexMojos] flexmojos-compatible-model-validator ?
> 
> Hi Chris,
> 
> I was thinking to integrate into FM, my flexmojos-compatible-model-validator [1] in order
to have in more than its primary goal (get rid of the Maven warnings regarding scopes), have
an auto install feature for it and your extension combined.
> 
> As reminder, it works in a way that the first time you use FM and the extension is not
present, it will install it and ask the user to restart it.
> 
> Is that something you would like to have in FM or do you see anything preventing this
to happen?
> 
> Thanks,
> Frédéric THOMAS
> 
> [1] https://github.com/doublefx/flexmojos-compatible-model-validator
 		 	   		  

Mime
View raw message